<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/resources/StyleManager.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_b1edfc2c49307e65a973a203b2244023.html">resources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">StyleManager.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="StyleManager_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="XMLDocument_8hpp.html">XMLDocument.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1StyleManager.html">StyleManager</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#ab16df2ab91a2f7b66f29de323b2bfa71">   11</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#ab16df2ab91a2f7b66f29de323b2bfa71">Init</a>();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#a861aed9d6f5af123cc98a0f6f123ef02">   12</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#a861aed9d6f5af123cc98a0f6f123ef02">Destroy</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#aa2e51cc8944403787a6a39610981e357">   15</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#aa2e51cc8944403787a6a39610981e357">GetInitialized</a>() -&gt; bool;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#ac3bfcf10689d8ed65187a6a1f12ac0c4">   16</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#ac3bfcf10689d8ed65187a6a1f12ac0c4">GetNumberOfStyles</a>() -&gt; unsigned;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#aee0a3dcbe1c88029804da7692d0dcc59">   18</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#aee0a3dcbe1c88029804da7692d0dcc59">GetStyle</a>(<span class="keyword">const</span> std::string&amp;) -&gt; <a class="code hl_class" href="classgg_1_1XMLDocument.html">XMLDocument</a> *;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#ac92123c79ad681cd291c141eec7ef9bb">   19</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#ac92123c79ad681cd291c141eec7ef9bb">AddStyle</a>(<span class="keyword">const</span> std::string&amp;, <a class="code hl_class" href="classgg_1_1XMLDocument.html">XMLDocument</a>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#a32691de57b5db9e41e9509f63465f996">   21</a></span>    <a class="code hl_function" href="classgg_1_1StyleManager.html#a32691de57b5db9e41e9509f63465f996">StyleManager</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1StyleManager.html#ae41f3249b4fe4a01d6d531480697f1bd">   22</a></span>    <span class="keyword">virtual</span> <a class="code hl_function" href="classgg_1_1StyleManager.html#ae41f3249b4fe4a01d6d531480697f1bd">~StyleManager</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> sInitialized;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keyword">static</span> std::map&lt;std::string, XMLDocument *&gt; sStyleLibrary;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aXMLDocument_8hpp_html"><div class="ttname"><a href="XMLDocument_8hpp.html">XMLDocument.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html"><div class="ttname"><a href="classgg_1_1StyleManager.html">gg::StyleManager</a></div><div class="ttdef"><b>Definition:</b> StyleManager.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_a32691de57b5db9e41e9509f63465f996"><div class="ttname"><a href="classgg_1_1StyleManager.html#a32691de57b5db9e41e9509f63465f996">gg::StyleManager::StyleManager</a></div><div class="ttdeci">StyleManager()=delete</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_a861aed9d6f5af123cc98a0f6f123ef02"><div class="ttname"><a href="classgg_1_1StyleManager.html#a861aed9d6f5af123cc98a0f6f123ef02">gg::StyleManager::Destroy</a></div><div class="ttdeci">static void Destroy()</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_aa2e51cc8944403787a6a39610981e357"><div class="ttname"><a href="classgg_1_1StyleManager.html#aa2e51cc8944403787a6a39610981e357">gg::StyleManager::GetInitialized</a></div><div class="ttdeci">static auto GetInitialized() -&gt; bool</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_ab16df2ab91a2f7b66f29de323b2bfa71"><div class="ttname"><a href="classgg_1_1StyleManager.html#ab16df2ab91a2f7b66f29de323b2bfa71">gg::StyleManager::Init</a></div><div class="ttdeci">static void Init()</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_ac3bfcf10689d8ed65187a6a1f12ac0c4"><div class="ttname"><a href="classgg_1_1StyleManager.html#ac3bfcf10689d8ed65187a6a1f12ac0c4">gg::StyleManager::GetNumberOfStyles</a></div><div class="ttdeci">static auto GetNumberOfStyles() -&gt; unsigned</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_ac92123c79ad681cd291c141eec7ef9bb"><div class="ttname"><a href="classgg_1_1StyleManager.html#ac92123c79ad681cd291c141eec7ef9bb">gg::StyleManager::AddStyle</a></div><div class="ttdeci">static void AddStyle(const std::string &amp;, XMLDocument)</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_ae41f3249b4fe4a01d6d531480697f1bd"><div class="ttname"><a href="classgg_1_1StyleManager.html#ae41f3249b4fe4a01d6d531480697f1bd">gg::StyleManager::~StyleManager</a></div><div class="ttdeci">virtual ~StyleManager()=delete</div></div>
<div class="ttc" id="aclassgg_1_1StyleManager_html_aee0a3dcbe1c88029804da7692d0dcc59"><div class="ttname"><a href="classgg_1_1StyleManager.html#aee0a3dcbe1c88029804da7692d0dcc59">gg::StyleManager::GetStyle</a></div><div class="ttdeci">static auto GetStyle(const std::string &amp;) -&gt; XMLDocument *</div></div>
<div class="ttc" id="aclassgg_1_1XMLDocument_html"><div class="ttname"><a href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></div><div class="ttdef"><b>Definition:</b> XMLDocument.hpp:10</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
